import Vue from "vue";
import Vuex from "vuex";
// 状态保持，防止数据刷新丢失
import createPersistedState from "vuex-persistedstate";
// 项目足够大时，将store进行拆分成若干moudle
// 存放通用信息
import common from "./modules/common";
// 可按模块继续扩展...
// 注意：只有程序级状态/数据方可使用store
Vue.use(Vuex);

export default new Vuex.Store({
  modules: {
    // namespaced: true,
    common,
  },
  plugins: [createPersistedState()],
});
